#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 16. Networking Utilities

- Prev

  NetworkManager-1.30.0

- Next

  Nmap-7.91

- Up
- Home

# network-manager-applet-1.20.0

## Introduction to NetworkManager Applet

The NetworkManager Applet provides a tool and a panel applet used to configure wired and wireless network connections through GUI. It's designed for use with any desktop environment that uses GTK+, such as Xfce and LXDE.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/network-manager-applet/1.20/network-manager-applet-1.20.0.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/network-manager-applet/1.20/network-manager-applet-1.20.0.tar.xz

- Download MD5 sum: 33dc7ec7170b12fd8595acbf53055870

- Download size: 1.9 MB

- Estimated disk space required: 49 MB (with tests)

- Estimated build time: 0.2 SBU (with tests)

### NetworkManager Applet Dependencies

#### Required

GTK+-3.24.25, libnma-1.8.30, libnotify-0.7.9, and libsecret-0.20.4

#### Recommended

gobject-introspection-1.66.1 and ModemManager-1.14.10

#### Required (Runtime)

Since this package uses Polkit-0.118 for authorization, one Polkit Authentication Agent should be running when the functionality of this package is used.

#### Optional

gnome-bluetooth-3.34.3, jansson-2.13.1, and libindicator

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/network-manager-applet

## Installation of NetworkManager Applet

Install NetworkManager Applet by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr     \
          -Dappindicator=no \
          -Dselinux=false   \
          -Dteam=false      .. &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`-Dappindicator=no`: This switch disables AppIndicator support in network-manager-applet because it requires libindicator, which is not in BLFS. The build will fail without this option.

`-Dteam=false`: This switch disables the team configuration editor since it requires jansson-2.13.1. If you have Jansson installed, remove this option or set it to "true".

`-Dselinux=false`: This switch forcibly disables SELinux support since it is not currently in BLFS and the build will fail without it.

`-Dwwan=false`: This switch disables WWAN support. Use this if you do not have ModemManager-1.14.10 installed.

## Contents

Installed Programs: nm-applet and nm-connection-editor
Installed Libraries: None
Installed Directories: None

### Short Descriptions

nm-connection-editor | allows users to view and edit network connection settings

Last updated on 2021-02-24 11:35:31 -0800

- Prev

  NetworkManager-1.30.0

- Next

  Nmap-7.91

- Up
- Home